import argparse
from distutils.util import strtobool
import pathlib

import siml


def main():
    parser = argparse.ArgumentParser()
    parser.add_argument(
        'settings_yaml',
        type=pathlib.Path,
        help='YAML file name of settings.')
    args = parser.parse_args()

    preprocessor = siml.prepost.Preprocessor.read_settings(
        args.settings_yaml)
    preprocessor.merge_dict_preprocessor_setting_pkls()
    # preprocessor.preprocess_interim_data(
    #     force_renew=args.force_renew, save_func=save_func)

    print('success')


if __name__ == '__main__':
    main()
